Subject: [ipwave] 802.11bd D1.0 preliminary spec available somewhere?

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 9 Sep 2020 14:49:09 +0200

Hi,

I am looking for the IEEE 802.11bd D1.0 preliminary spec.  Is it 
available somewhere I could look at it?

It is to see whether, hopefully, it cites RFC8691 for IPv6 use.

Alex

---

From: John Kenney <[email-masked]>
Date: Wed, 9 Sep 2020 14:41:30 -0700

Hi Alex,

No, this is a work in progress, scheduled to be completed later this month.
It will be a draft standard. Unless a decision is made to make it available
for sale, it will only be available to IEEE 802.11 WG voting members.

Best Regards,
John

On Wed, Sep 9, 2020 at 5:49 AM Alexandre Petrescu <
[email-masked]> wrote:

> Hi,
>
> I am looking for the IEEE 802.11bd D1.0 preliminary spec.  Is it available
> somewhere I could look at it?
>
> _______________________________________________
> its mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/its
>

-- 
John Kenney
Director and Sr. Principal Researcher
Toyota InfoTech Labs
465 Bernardo Avenue
Mountain View, CA 94043
Tel: 650-694-4160. Mobile: 650-224-6644

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 10 Sep 2020 09:07:56 +0200

Hi, John,

Thank you for the reply.

Does the document mention the word 'IPv6'? (RFC8691?)

Alex

Le 09/09/2020 à 23:41, John Kenney a écrit :
> Hi Alex,
> 
> No, this is a work in progress, scheduled to be completed later this 
> month. It will be a draft standard. Unless a decision is made to make it 
> available for sale, it will only be available to IEEE 802.11 WG voting 
> members.
> 
> Best Regards,
> John
> 
> 
> On Wed, Sep 9, 2020 at 5:49 AM Alexandre Petrescu 
> <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     Hi,
> 
>     [email-masked] <mailto:[email-masked]>

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 10 Sep 2020 11:07:26 +0200

Le 10/09/2020 à 09:18, Dick Roy a écrit :
> Hi Alex,
> 
> FYI ... there is very little if anything in any IEEE 802 LAN 
> specification that in any way specifies or constrains what happens
> in any network layer protocol.  (W)LANs operate at layer 2 and
> below. IPvx is functionality at layer 3.

True enough.

However, when looking at details of the specs, it might that 802.11
documents do use the words 'IP' and 'IPv6' in particular.  Last time I
looked at an 802.11 spec I was successful in searching and finding the
word IPv6.  That was some years ago.

Now the situation is different.  The word should be there, but it should
cite [RFC 8691] in the case of OCB operation of 802.11.

I mean, if the word 'IPv6' is there in the 802.11bd document, then it
makes no sense to not cite RFC 8691.

If the word 'IPv6' is not there in the 802.11bd document, then indeed it
makes sense to not cite RFC 8691.

(I would be tempted to suggest the same to ISO TC204 documents but I
know you will not agree because I know in your thought this RFC8691 does
not fully address one's expectations of fully variable wireless
environments of automobile networks; so I dont suggest it for ISO TC 204).

Yours,

Alex

> 
> Hope this helps...
> 
> RR
> 
> -----Original Message----- From: its [mailto:[email-masked]]
> On Behalf Of Alexandre Petrescu Sent: Thursday, September 10, 2020
> 12:08 AM To: John Kenney Cc: IPWAVE WG Subject: Re: [ipwave] 802.11bd
> D1.0 preliminary spec available somewhere?
> 
> Hi, John,
> 
> Thank you for the reply.
> 
>> No, this is a work in progress, scheduled to be completed later 
>> this month. It will be a draft standard. Unless a decision is made 
>> to make it available for sale, it will only be available to IEEE 
>> 802.11 WG voting members.
>> 
>> Best Regards, John
>> 
>> 
>> <[email-masked] 
>> <mailto:[email-masked]>>
> wrote:
>> 
>> Hi,
>> 
>> _______________________________________________ its mailing list 
>> -- John Kenney Director and Sr. Principal Researcher Toyota 
>> InfoTech Labs 465 Bernardo Avenue Mountain View, CA 94043 Tel: 
>> 650-694-4160. Mobile: 650-224-6644
> 
> _______________________________________________ its mailing list 
> [email-masked] https://www.ietf.org/mailman/listinfo/its
>

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 10 Sep 2020 12:32:55 +0200

Le 10/09/2020 à 11:41, Dick Roy a écrit :
> Standards relevant to layer 3 can and often do mention IP and the
> relevant RFCs.  Standards relevant to other layers should not have
> any need to reference protocols at other layers in ay normative way
> ... that's the whole point of the layered model and layer separation.
> Any attempts to violate the layer separation principle do so at their
> own peril.

YEs layer separation, but there are interfaces between layers, right?

I mean, if RFC8691 specifies that the MTU must a be of a minimum
1280bytes, then the MAC should satisfy that by fragmenting and
reassembling where necessary, if necessary.

If RFC8691 says that the frame format below IP must use QoS Data headers
then 802.11bd wouldnt say otherwise.

If RFC8691 says that the priority value must be '1' in the QoS data
header (at the MAC layer) then 802.11bd wouldnt say otherwise, right?

Alex

> 
> RR
> 
> -----Original Message----- From: its [mailto:[email-masked]] On
> Behalf Of Alexandre Petrescu Sent: Thursday, September 10, 2020 2:07
> AM To: [email-masked]; 'John Kenney' Cc: 'IPWAVE WG' Subject:
> Re: [ipwave] 802.11bd D1.0 preliminary spec available somewhere?
> 
> 
> 
> documents do use the words 'IP' and 'IPv6' in particular.  Last time
> I looked at an 802.11 spec I was successful in searching and finding
> the word IPv6.  That was some years ago.
> 
> Now the situation is different.  The word should be there, but it
> should cite [RFC 8691] in the case of OCB operation of 802.11.
> 
> I mean, if the word 'IPv6' is there in the 802.11bd document, then
> it makes no sense to not cite RFC 8691.
> 
> If the word 'IPv6' is not there in the 802.11bd document, then indeed
> it makes sense to not cite RFC 8691.
> 
> know you will not agree because I know in your thought this RFC8691
> does not fully address one's expectations of fully variable wireless 
>> 12:08 AM To: John Kenney Cc: IPWAVE WG Subject: Re: [ipwave]
>> 802.11bd D1.0 preliminary spec available somewhere?
>> 
>> Hi, John,
>> 
>> Thank you for the reply.
>> 
>>> this month. It will be a draft standard. Unless a decision is
>>> made to make it available for sale, it will only be available to
>>> IEEE 802.11 WG voting members.
>>> 
>>> Best Regards, John
>>> 
>>>

---

From: Dorothy Stanley <[email-masked]>
Date: Thu, 10 Sep 2020 09:26:19 -0700

As John mentioned, P802.11bd D1.0 is still in preparation, and expected to
be available soon.

See https://tools.ietf.org/html/rfc7241 section 3.3, and in particular

*IEEE 802 WG Chairs have the authority to grant membership in their WGs and can
   use this authority to grant membership to an IETF WG chair upon
   request.  The IETF WG chair will be provided with access to the
   username/password for the IEEE 802 WG archives and is permitted to
   share that information with participants in the IETF WG.  Since it is
   possible to participate in IETF without attending meetings, or even
   joining a mailing list, IETF WG chairs will provide the information
   to anyone who requests it.  However, since IEEE 802 work in progress
   is copyrighted, copyright restrictions prohibit incorporating
   material into IETF documents or postings.*

If access to P802.11bd D1.0 and related drafts is needed to support IPWAVE
WG work, the
IPWAVE WG Chair should send me the corresponding request.

Thanks,

Dorothy

----------------------
Dorothy Stanley
IEEE 802.11 WG Chair, [email-masked]
Hewlett Packard Enterprise
[email-masked] <[email-masked]>
[email-masked]
+1 630-363-1389 <630-363-1389>

---

From: John Kenney <[email-masked]>
Date: Thu, 10 Sep 2020 09:49:28 -0700

HI Alex,
No. The draft amendment does not add any new references to 802.11.

TGbd, the 802.11 task group developing the amendment, has regular
teleconferences.  The teleconference schedule for all 802.11 task groups
can be found in the lower right corner of this site
<https://www.ieee802.org/11/>. These are open meetings, and all are welcome
to participate.

Best Regards,
John

---

From: Alexandre Petrescu <[email-masked]>
Date: Fri, 11 Sep 2020 14:27:47 +0200

Le 10/09/2020 à 18:49, John Kenney a écrit :
> <https://www.ieee802.org/11/>. These are open meetings, and all are 
> welcome to participate.

Thanks,

It seems the next one is today at 16h Paris time.

https://ieeesa.webex.com/ieeesa/j.php?MTID=m87469a9d84a11170705c33bc1f782b97

LieuWebex-11a: 129 513 9746 (plan)
DescriptionJoin the Webex meeting here:
https://ieeesa.webex.com/ieeesa/j.php?MTID=m87469a9d84a11170705c33bc1f782b97

Meeting number: 129 513 9746
Meeting password: wireless (94735377 from phones and video systems)

Join by phone:
    Tap to call in from a mobile device (attendees only)
   +1-408-418-9388 USA Toll
Global call-in numbers
Access code: 129 513 9746

Join from a video system or application
    Dial [email-masked]
You can also dial 173.243.2.68 and enter your meeting number.

Join using Microsoft Lync or Microsoft Skype for Business
	Dial [email-masked]

Need help? Go to http://help.webex.com
plus d'infos»  copier dans mon agenda

Numéro de la réunion :
     129 513 9746
Mot de passe :
     Veuillez demander le mot de passe de la réunion à l’organisateur.

Plus de moyens pour rejoindre les réunions

Rejoindre par système vidéo
     Composer : [email-masked]
     Vous pouvez également composer 173.243.2.68 et saisir votre numéro 
de votre réunion.

Rejoindre par téléphone
     +1-646-992-2010 United States Toll (New York City)
     +1-213-306-3065 United States Toll (Los Angeles)
     Code d'accès : 129 513 9746

     Numéros d'appel internationaux

Alex

> 
> Best Regards,
> John
> 
> 
> 
> 
> On Thu, Sep 10, 2020 at 12:08 AM Alexandre Petrescu 
>     <mailto:[email-masked]>
>     <mailto:[email-masked]
>     <mailto:[email-masked]>>> wrote:
>      >
>      >     Hi,
>      >
>      > [email-masked] <mailto:[email-masked]> <mailto:[email-masked]
>     <mailto:[email-masked]>>